Subject: bug#58396: 29.0.50; Optimization failure for add-to-list

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 Sep 2023 17:32:26 -0400

> From 83387466cfb7fe859b227fb00148ee7f6cd288a5 Mon Sep 17 00:00:00 2001
> From: Jens Schmidt <[email-masked]>
> Date: Tue, 26 Sep 2023 22:26:15 +0200
> Subject: [PATCH] Silence macro expansion during completion-at-point
>
> * lisp/progmodes/elisp-mode.el (elisp--local-variables): Silence
> messages.  Avoid compiler macros.  Suppress all errors during macro
> expansion.  (Bug#58396)

Thanks.  I think it would be cleaner to introduce a variable in
`macroexp.el` which `elisp--local-variables` can bind and which
`macroexp.el` can check so we avoid (ab)using advice.

        Stefan